#
# spec file for package zoran-driver (Version 0.8)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         zoran-driver
Copyright:    GPL
Group:        System Environment/Kernel
#Requires:     xforms
Autoreqprov:  on
Version:      0.8
Release:      46
Summary:      Documentation and loader script for Zoran MJPEG driver
Source: %{name}-%{version}.tar.bz2
Patch:  %{name}-%{version}.dif

%description
This package contains the README files and a loader script for the driver
for Zoran-based MJPEG framegrabber cards.
The driver itself is contained in the kernel packages.

Authors:
--------
    Rainer Johanni <Rainer@Johanni.de> 
    Wolfgang Scherr <scherr@net4you.net> 
    Serguei Miridonov <mirsev@cicese.mx> 
    

SuSE series: ap

%package -n km_zoran
Summary:      kernel module source for zoran driver
Group: System Environment/Kernel

%description -n km_zoran
kernel module source for zoran driver

SuSE series: suse

%prep
%setup
%patch

%build
rm -fr /usr/src/kernel-modules/zoran
install -d -m 755 /usr/src/kernel-modules/zoran
cp -a * /usr/src/kernel-modules/zoran
ln -s Makefile /usr/src/kernel-modules/zoran/Makefile.module

%install
install -m 755 update /usr/sbin/zoran_update

%files
%doc README*
/usr/sbin/zoran_update

%files -n km_zoran
/usr/src/kernel-modules/zoran

%changelog -n zoran-driver
* Fri Sep 21 2001 - uli@suse.de
- loader script: module is called zr36067 in recent kernels
* Fri Jul 06 2001 - uli@suse.de
- fixed loader script
* Wed Jun 27 2001 - uli@suse.de
- initial package
